Bug 235332 - xen kernel reports "BUG" when enslaving NICs to bond
xen kernel reports "BUG" when enslaving NICs to bond
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-04-05 04:34 EDT by David Kostal
Modified: 2008-02-07 23:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:26:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages from system boot (6.10 KB, text/plain)
2007-04-05 04:34 EDT, David Kostal
no flags Details

  None (edit)
Description David Kostal 2007-04-05 04:34:12 EDT
Description of problem:
Hi, all fc6 kernels (now kernel-xen-2.6.20-1.2933.fc6) report BUG and produce
stack trace when bonding interface is started (resp. interface is enslaved in bond)

Version-Release number of selected component (if applicable):
kernel-xen-2.6.20-1.2933.fc6
xen-3.0.3-8.fc6
iputils-20020927-41.fc6
FC6 lates updates

How reproducible:
everytime

Steps to Reproduce:
1.create bond configuration (I use ALB but this has no effect) for NICs which
are not "renamed" during xend startup
2. boot xen kernel or execute "ifup bond0"
3. The "BUG" and call trace messages will appear in /var/log/messages
4. the system continues to work without problem
 
Actual results:
BUG" and call trace messages will appear in /var/log/messages

Expected results:
No problem reported

Additional info:
The problem appears during manipulation of enslaved devices, eg. adding or
removing, not by loading the bonding module
Comment 1 David Kostal 2007-04-05 04:34:13 EDT
Created attachment 151739 [details]
/var/log/messages from system boot
Comment 2 Herbert Xu 2007-04-05 09:00:55 EDT
This is an upstream bonding issue (MAC changes must be moved to process context)
which is not specific to Xen.
Comment 3 David Kostal 2007-04-05 09:38:41 EDT
Well, the error does not appear if non-xen kernel is booted. Also the ALB mode
of bonding should not move/change mac addresses, right?
Comment 4 Stephen Tweedie 2007-04-19 11:42:24 EDT
If you boot the xen kernel, then the xen userspace detects this and does
different things with bridging setup.  So booting xen could easily be tickling
an existing core bug; that doesn't mean that the bug itself is in xen.
Comment 5 Herbert Xu 2007-04-19 21:09:05 EDT
The upstream bonding maintainer has recognised this problem and is working on a fix:

http://www.mail-archive.com/netdev@vger.kernel.org/msg32794.html
Comment 6 Jon Stanley 2008-01-07 20:53:29 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 7 Jon Stanley 2008-02-07 23:26:23 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.